%define module	foolscap
%define name	python-%{module}
%define version	0.6.4
%define release	%mkrel 3

Summary:	Rewrite of Perspective Broker
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://foolscap.lothar.com/releases/%{module}-%{version}.tar.gz
License:	MIT
Group:		Development/Python
Url:		http://foolscap.lothar.com/
Requires:	python >= 2.4
Requires:	python-twisted >= 2.4.0
Requires:	python-OpenSSL >= 0.6
BuildRequires:	pkgconfig(python) >= 2.4
BuildRequires:	python-twisted-core
BuildRequires:	python-twisted-web
BuildArch:	noarch

%description
Foolscap is a ground-up rewrite of Perspective Broker, which itself is
Twisted's native RPC/RMI protocol (Remote Procedure Call / Remote
Method Invocation).  If you have control of both ends of the wire, and
are thus not constrained to use some other protocol like
HTTP/XMLRPC/CORBA/etc, you might consider using Foolscap.

%prep
%setup -q -n %{module}-%{version}
find doc/ -name \*.py | xargs chmod 0644

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot}

%check
#trial foolscap

%files
%doc README LICENSE NEWS ChangeLog doc/*
%dir %{python_sitelib}/%{module}
%{python_sitelib}/%{module}/*
%{python_sitelib}/*egg-info
%{_bindir}/flogtool
%{_bindir}/flappclient
%{_bindir}/flappserver



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.6.4-3.mga4
+ Revision: 544945
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 0.6.4-2.mga4
+ Revision: 500526
- remove tests

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 0.6.4-1.mga4
+ Revision: 450251
- Update to 0.6.4

* Sun Jan 13 2013 umeabot <umeabot> 0.6.3-2.mga3
+ Revision: 378851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 08 2012 philippem <philippem> 0.6.3-1.mga2
+ Revision: 193246
- Update to 0.6.3.

* Thu Nov 17 2011 philippem <philippem> 0.6.2-1.mga2
+ Revision: 168474
- Update to 0.6.2

* Thu Mar 10 2011 ahmad <ahmad> 0.6.1-2.mga1
+ Revision: 67353
- imported package python-foolscap


* Mon Jan 17 2011 Lev Givon <lev@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 631258
- Update to 0.6.1.

* Tue Dec 28 2010 Lev Givon <lev@mandriva.org> 0.6.0-1mdv2011.0
+ Revision: 625612
- Update to 0.6.0.

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 0.5.1-2mdv2011.0
+ Revision: 590139
- rebuild for python 2.7

* Fri Mar 26 2010 Lev Givon <lev@mandriva.org> 0.5.1-1mdv2010.1
+ Revision: 527759
- Update to 0.5.1.

* Tue Jan 19 2010 Lev Givon <lev@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 493666
- Update to 0.5.0.

* Wed Jul 22 2009 Lev Givon <lev@mandriva.org> 0.4.2-1mdv2010.0
+ Revision: 398669
- Update to 0.4.2.

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.3.2-2mdv2009.1
+ Revision: 323708
- rebuild

* Sun Oct 19 2008 Lev Givon <lev@mandriva.org> 0.3.2-1mdv2009.1
+ Revision: 295421
- Update to 0.3.2.

* Mon Aug 18 2008 Lev Givon <lev@mandriva.org> 0.3.0-1mdv2009.0
+ Revision: 273137
- import python-foolscap


